
# Grafika mintaprogramok

Mindegyik mappában egy-egy [cmake](https://cmake.org/)-el való fordításra
előkészített mintaprogram található.

## Függőségek letöltése

1. [OpenGL Extension Wrangler Library (GLEW)](http://glew.sourceforge.net/)
2. [freeglut](http://freeglut.sourceforge.net/)
3. [CMake](https://cmake.org/)

Ha Linuxot használsz, ezeket a legegyszerűbben így tudod feltelepíteni:

```
sudo apt-get update
sudo apt-get install build-essential
sudo apt-get install libglew-dev
sudo apt-get install freeglut3-dev
sudo apt-get install cmake

# A freeglut alternatívája, csak a hello_triangle_glfw programhoz kell
sudo apt-get install libglfw3-dev
```

## Mintaprojektek kipróbálása

1. Navigálj az adott projekt mappájába (`cd pelda_program`)
2. Futtasd a `../build_with_cmake.sh` parancsot.
3. Navigálj a build mappába. (`cd ./build`)
4. Indítsd el a programot a build mappából. (`./pelda_program`)

